Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.xml.sax
Class SAXHelper

    java.lang.Object
      com.dbxml.xml.sax.SAXHelper

public final class SAXHelper
extends java.lang.Object

SAXHelper

Constructor Summary
`SAXHelper()`

Method Summary
`static void` | `parse(java.io.File f, org.xml.sax.helpers.DefaultHandler dh)`
`static void` | `parse(org.xml.sax.InputSource is, org.xml.sax.helpers.DefaultHandler dh)`
`static void` | `parse(java.io.InputStream is, org.xml.sax.helpers.DefaultHandler dh)`
`static void` | `parse(java.io.InputStream is, org.xml.sax.helpers.DefaultHandler dh, java.lang.String systemId)`
`static void` | `parseText(java.lang.String text, org.xml.sax.helpers.DefaultHandler dh)`
`static void` | `parseURI(java.lang.String uri, org.xml.sax.helpers.DefaultHandler dh)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXHelper

    public SAXHelper()

Method Detail

### parse

    public static void parse(java.io.InputStream is,
                             org.xml.sax.helpers.DefaultHandler dh)
                      throws org.xml.sax.SAXException,
                             java.io.IOException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### parseText

    public static void parseText(java.lang.String text,
                                 org.xml.sax.helpers.DefaultHandler dh)
                          throws org.xml.sax.SAXException,
                                 java.io.IOException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### parse

    public static void parse(java.io.InputStream is,
                             org.xml.sax.helpers.DefaultHandler dh,
                             java.lang.String systemId)
                      throws org.xml.sax.SAXException,
                             java.io.IOException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### parseURI

    public static void parseURI(java.lang.String uri,
                                org.xml.sax.helpers.DefaultHandler dh)
                         throws org.xml.sax.SAXException,
                                java.io.IOException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### parse

    public static void parse(java.io.File f,
                             org.xml.sax.helpers.DefaultHandler dh)
                      throws org.xml.sax.SAXException,
                             java.io.IOException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### parse

    public static void parse(org.xml.sax.InputSource is,
                             org.xml.sax.helpers.DefaultHandler dh)
                      throws org.xml.sax.SAXException,
                             java.io.IOException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group